<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * PTA system default configurable items.
 *
 * @package    PTA
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */

return array(
	'appname'         => 'phpTSMadmin',
	'cache_type'      => 'file',
	'cache'           => 'apc',
	'cache_time'      => 86400,
	'client'          => '/opt/tivoli/tsm/client/ba/bin/dsmadmc',
	'client_type'     => 'dsmadmc',
	'client_errorlogname' => '/tmp/pta-tsm-errorlog.log',
	'date_format'     => 'd-m-Y',
	'tsmdatatypes'    => array('Bkup'=>'BACKUP','Arch'=>'ARCHIVE','SpMg'=>'SPACE MANAGED'),
	'tsmdbtypes'      => array('BACKUPFULL','BACKUPINCR','DBSNAPSHOT'),
	'tsmpooltypes'    => array('PRIMARY','ACTIVEDATA','COPY'),
	'tsmvolstatus'    => array('FULL','FILLING','PENDING','EMPTY'),
	'tsmtapeage'      => 180,		// Age of tapes before prompting to rotate
	'email_admin_only'=> array(
		'method'=>array('wurley@users.sf.net'=>'Deon George'),
	),
	'method_directory'=> array(		// Out method paths for the different functions
		),
	'method_security' => TRUE,		// Enables Method Security. Setting to false means any method can be run without authentication
	'site'            => array(
			'mode'       => Kohana::PRODUCTION,
	),
	'site_debug'      => FALSE,
	'site_name'       => 'phpTSMadmin',
	'theme'           => 'yaml',
);
?>
