<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * PTA Configuration - TSM Client
 *
 * @package    PTA
 * @subpackage TSM
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */

return array
(
	'dsmadmc' => array
	(
		'type'       => 'tsm_dsmadmc',
		'connection' => array(
			/**
			 * The following options are available for MySQL:
			 *
			 * string   hostname     server hostname, or socket
			 * string   database     database name
			 * string   username     database username
			 * string   password     database password
			 * boolean  persistent   use persistent connections?
			 *
			 * Ports and sockets may be appended to the hostname.
			 */
			//'hostname'   => 'localhost', // Unused
			'username'   => FALSE,
			'password'   => FALSE,
			//'persistent' => FALSE, // Unused
		),
		'table_prefix' => '',
		'charset'      => 'utf8',
		'caching'      => TRUE,
		'cache'        => array(
			'ASSOCIATIONS' => 1200,
			'AR_COPYGROUPS' => 1200,
			'BU_COPYGROUPS' => 1200,
			'CLIENT_SCHEDULES' => 1200,
			'CLIENTOPTS' => 1200,
			'DEVCLASSES' => 1200,
			'DOMAINS' => 1200,
			'DRIVES' => 1200,
			'EVENTS' => 1200,
			'FILESPACES' => 1200,
			'LIBRARIES' => 1200,
			'LIBVOLUMES' => 1200,
			'MEDIA' => 1200,
			'MGMTCLASSES' => 1200,
			'NODES' => 1200,
			'OCCUPANCY' => 1200,
			'PATHS' => 1200,
			'SCHEMA' => 604800,
			'STGPOOLS' => 1200,
			'SUMMARY' => 180,
			'VOLHISTORY' => 1200,
			'VOLUMES' => 1200,
			'VOLUMEUSAGE' => 1200,
		),
		'cachepreload' => array(
			'DEVCLASSES' => 1200,
			'DOMAINS' => 1200,
			'DRIVES' => 1200,
			'LIBVOLUMES' => 1200,
			'LIBRARIES' => 1200,
			'MEDIA' => 1200,
			'NODES' => 1200,
			'STGPOOLS' => 1200,
			'VOLHISTORY' => 1200,
			'VOLUMES' => 1200,
		),
		'profiling'    => TRUE,
	),

	'db2' => array
	(
		'type'       => 'tsm_db2',
		'connection' => array(
			/**
			 * The following options are available for DB2:
			 *
			 * string   hostname     server hostname, or socket
			 * string   database     database name
			 * string   username     database username
			 * string   password     database password
			 * boolean  persistent   use persistent connections?
			 *
			 * Ports and sockets may be appended to the hostname.
			 */
			'hostname'   => 'localhost',
			'port'       => '60000',
			'username'   => FALSE,
			'password'   => FALSE,
			'persistent' => FALSE,
			'database'   => 'TSMDB1',
		),
		'table_prefix' => '',
		'charset'      => 'utf8',
		'caching'      => TRUE,
		'cache'        => array(
			'ASSOCIATIONS' => 1200,
			'AR_COPYGROUPS' => 1200,
			'BU_COPYGROUPS' => 1200,
			'CLIENT_SCHEDULES' => 1200,
			'CLIENTOPTS' => 1200,
			'DEVCLASSES' => 1200,
			'DOMAINS' => 1200,
			'DRIVES' => 1200,
			'EVENTS' => 1200,
			'FILESPACES' => 1200,
			'LIBRARIES' => 1200,
			'LIBVOLUMES' => 1200,
			'MEDIA' => 1200,
			'MGMTCLASSES' => 1200,
			'NODES' => 1200,
			'OCCUPANCY' => 1200,
			'PATHS' => 1200,
			'SCHEMA' => 604800,
			'STGPOOLS' => 1200,
			'SUMMARY' => 180,
			'VOLHISTORY' => 1200,
			'VOLUMES' => 1200,
			'VOLUMEUSAGE' => 1200,
		),
		'cachepreload' => array(
			'DEVCLASSES' => 1200,
			'DOMAINS' => 1200,
			'DRIVES' => 1200,
			'LIBVOLUMES' => 1200,
			'LIBRARIES' => 1200,
			'MEDIA' => 1200,
			'NODES' => 1200,
			'STGPOOLS' => 1200,
			'VOLHISTORY' => 1200,
			'VOLUMES' => 1200,
		),
		'profiling'    => TRUE,
	),
);
?>
