# About phpTSMadmin (PTA)

phpTSMadmin is an operational admin interface to help with managing a Tivoli Storage Manager (TSM) server.
This web interface is not designed to replace that interface that you use to manage TSM, but rather to help you understand your TSM environment, so that you can better manage your server(s).

By default PTA uses TSM's command line interface (CLI) to communicate with the TSM server. While this provides a very simple way to get PTA up and running, it does have performance implications because each query to the TSM server results in a fork-exec to extract the data from TSM. As this is the only method to talk to a TSM v5.x server, it is your only option. For TSM v6.x users, it will be possible to query the DB2 database directly, which should be significantly better. Look out for an update with this feature.

## Tools used to make PTA available.
phpTSMadmin uses some great open source tools, please make sure you provide feedback/enhancements to the authors of the components you use:

* The Kohana Framework
* JpGraph
* PHP

## Information on Development
This web interface has been developed on a CentOS 5.5 server, using PHP 5.3. It has also been tested against TSM v5.x and TSM v6.2.2.30 servers. (Early versions of TSM v6.x may not work with this interface, as database schema definitions may be missing from the TSM server database. Since the best practise is to use the most current version of a TSM server, no specific development activity will be done to enable this web interface to work with earlier TSM v6.x servers. Its better that you upgrade. :)
