# Installation Instructions

## Requirements
  The requirements below are those used by RedHat Enterprise Linux v5.6 system. It is quite
  possible that other versions of these components, or other distributions of Linux will also
  work as well.

  If you encounter any problems with other versions, then drop us an email with
  the error messages, what you did and what you expected, and if we need to make some code changes
  to get it to work, then we'll take a look.

  Minimum components and their version:

  * Apache 2.2.x
  * PHP 5.3.x
  * TSM Client 5.x (our tests were done on TSM 5.5.x and TSM 6.2.x clients/servers).
  
## Installation
These steps assume that you have installed, configured and running:

 * Linux server,
 * Apache installed, configured and running,
 * PHP installed, configured if necessary and running with apache,
 * TSM client installed, configured and working.

1. Download the latest version.
     You can download phpTSMadmin from sourceforge. http://phpTSMadmin.sf.net

1. Unpack the tar files in an appropriate directory.
     cd /var/www/phpTSMadmin (or any other directory that you choose)
     tar xzf phpTSMadmin-XXXX.tgz

1. Configure your webserver.
     Find the sample apache config file in the contrib directory. Place that in
     your /etc/httpd/conf.d directory.

     Edit the sample apache config file as appropriate and restart your web server.

     Also make sure that in your php.ini configuration file, you have set "memory_limit" to
     at leat 16M. If this is set too low, then your grantt charts will fail to be created
     and your apache error log will have "Allowed memory size of X bytes exhausted" error
     messages.

1. Copy config.php.example in the application/config directory to application/config/config.php and edit to
     suite your environment.

1. Then, point your browser to your phpTSMadmin URL.

For help drop me an email phptsmadmin-devel@lists.sourceforge.net.
