<?php
// $Header: /cvsroot/phptsmadmin/phpTSMadmin/config/config.php.example,v 1.9 2009/04/19 04:15:00 wurley Exp $

/** NOTE **
 ** Make sure that <?php is the FIRST line of this file!
 ** IE: There should NOT be any blank lines or spaces BEFORE <?php
 **/

/**
 * The phpTSMadmin config file
 *
 * This is where you can customise some of the phpTSMadmin defaults
 * that are defined in config_default.php.
 *
 * To override a default, use the $config->custom variable to do so.
 * For example, the default for defining the language in config_default.php
 *
 * $this->default->appearance['lang'] = array(
 *  'desc'=>'Language',
 *  'default'=>'auto');
 *
 * to override this, use $config->custom->appearance['lang'] = 'en';
 *
 * This file is also used to configure your TSM server connections.
 *
 * You must specify at least one TSM server there. You may add
 * as many as you like. You can also specify your language, and
 * many other options.
 *
 * NOTE: Commented out values in this file prefixed by //, represent the
 * defaults that have been defined in config_default.php.
 * Commented out values prefixed by #, dont reflect their default value, you can
 * check config_default.php if you want to see what the default is.
 *
 * DONT change config_default.php, you changes will be lost by the next release
 * of PTA. Instead change this file - as it will NOT be replaced by a new
 * version of phpTSMadmin.
 */

/*********************************************/
/* Useful important configuration overrides  */
/*********************************************/

/* If you are asked to put this application in debug mode, this is how you do it: */
#  $config->custom->debug['level'] = 255;
#  $config->custom->debug['syslog'] = true;
#  $config->custom->debug['file'] = '/tmp/app_debug.log';

/* phpTSMadmin can encrypt the content of sensitive cookies if you set this
   to a big random string. */
// $config->custom->session['blowfish'] = '';

/* The language setting. If you set this to 'auto', phpTSMadmin will attempt
   to determine your language automatically. Otherwise, available lanaguages
   are: 'ct', 'de', 'en', 'es', 'fr', 'it', 'nl', and 'ru'
   Localization is not complete yet, but most strings have been translated.
   Please help by writing language files. See lang/en.php for an example. */
// $config->custom->appearance['language'] = 'auto';

/* Our local timezone
   This is to make sure that when we ask the system for the current time, we
   get the right local time. If this is not set, all time() calculations will
   assume UTC if you have not set PHP date.timezone. */
// $config->custom->appearance['timezone'] = null;
#  $config->custom->appearance['timezone'] = 'Australia/Melbourne';

/* Path to JPGraph
   You need to download JPGraph to display the graphical charts. You can get
   it from http://www.aditus.nu/jpgraph. */
// $config->custom->lib['jpgraph'] = LIBDIR.'JpGraph';

/* Path to a temp directory that is serviced by the webserver. This directory
   is where some JPGraph pictures are created. */
// $config->custom->image['path'] = HTDOCDIR.'tmp/';

/* Browser URL path to the image['path'] directory. */
// $config->custom->image['pathurl'] = 'tmp/';

/*********************************************/
/* Commands                                  */
/*********************************************/

/* Command availability ; if you don't authorize a command the command
   links will not be shown and the command action will not be permitted.
   For better security, set also ACL in your ldap directory. */

// $config->custom->commands['all'] = array(
//	'home' => true,
//	'login' => true,
//	'logout' => true,
//	'register' => true
//	);

/*********************************************/
/* Appearance                                */
/*********************************************/

/* If you want to choose the appearance of the tree, specify a class name which
   inherits from the Tree class. */
// $config->custom->appearance['menu'] = "menu_html";

/*********************************************/
/* Define your servers in this section       */
/*********************************************/

$servers = new Datastore;

/* A convenient name that will appear in the tree viewer and throughout
   phpTSMadmin to identify this LDAP server to users. */

/* $servers->NewServer('tsm') must be called before each new TSM server
   declaration. It will return a number, which is the instance number. It must
   be used in the setValue declaration. */
$servers->NewServer('tsm');

/* A name for your TSM server, it will appear in on the page for the TSM server
   being used. If you have multiple TSM servers, it will be the name in the
   drop down list. */
$servers->setValue('server','name','TSM Server');

/* The stanza used to connect to this TSM server, when calling dsmadmc. This is
   the value for the SErvername attribute in your dsm.opt file. */
// $servers->setValue('server','stanza',null);

/* Path to your dsmadmc binary. */
// $servers->setValue('system','dsmadmc','/opt/tivoli/tsm/client/ba/bin/dsmadmc');

/* Filename for the error dsmadmc error log */
// $servers->setValue('system','errorlog','/tmp/pta-tsm-errorlog.log');

/* Age of tapes to consider for alerting (to rotate them) */
// $servers->setValue('system','tapeage',180);

/**************************************************************************
 * If you want to configure additional TSM servers, do so below. Remove   *
 * the commented lines and use this section as a template for all your    *
 * other servers.                                                         *
 **************************************************************************/

/*
$servers->NewServer('tsm');
$servers->setValue('server','name','Another TSM Server');
*/
?>
